package com.goafanti.techproject.bo;

public class TaskDetailBo{
	/** 任务ID **/
	private String taskId;
	/** 项目编号 **/
	private String projectNo;
	/** 任务编号 **/
	private String taskNo;
	/** 任务分配时间 **/
	private String taskDistributionTime;
	/** 任务说明 **/
	private String taskComment;
	/** 商品ID **/
	private String commodityId;
	/** 商品名称 **/
	private String commodityName;
	/** 类别ID **/
	private String categoryId;
	/** 类别名称 **/
	private String categoryName;
	/** 任务分配人 **/
	private String taskAllocatorName;
	/** 任务接收人 **/
	private String taskReceiverName;
	/** 任务状态 **/
	private Integer taskStatus;
	/** 锁定状态 **/
	private Integer deletedSign;
	/** 客户名 **/
	private String buyerName;
	/** 订单编号 **/
	private String orderNo;
	/** 合同编号 **/
	private String contractNo;
	/** 客户ID **/
	private String uid;
	/** 营销员名称 **/
	private String salesmanName;
	/** 订单留言 **/
	private String orderRemarks;
	/** 订单部门 **/
	private String departmentName;
	/** 公示状态 **/
	private Integer publishStatus;
	/** 订单总金额 **/
	private String signTotalAmount;
	
	public String getTaskId() {
		return taskId;
	}
	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}
	public String getProjectNo() {
		return projectNo;
	}
	public void setProjectNo(String projectNo) {
		this.projectNo = projectNo;
	}
	public String getTaskNo() {
		return taskNo;
	}
	public void setTaskNo(String taskNo) {
		this.taskNo = taskNo;
	}
	public String getTaskDistributionTime() {
		return taskDistributionTime;
	}
	public void setTaskDistributionTime(String taskDistributionTime) {
		this.taskDistributionTime = taskDistributionTime;
	}
	public String getTaskComment() {
		return taskComment;
	}
	public void setTaskComment(String taskComment) {
		this.taskComment = taskComment;
	}
	public String getCommodityId() {
		return commodityId;
	}
	public void setCommodityId(String commodityId) {
		this.commodityId = commodityId;
	}
	public String getCommodityName() {
		return commodityName;
	}
	public void setCommodityName(String commodityName) {
		this.commodityName = commodityName;
	}
	public String getCategoryId() {
		return categoryId;
	}
	public void setCategoryId(String categoryId) {
		this.categoryId = categoryId;
	}
	public String getCategoryName() {
		return categoryName;
	}
	public void setCategoryName(String categoryName) {
		this.categoryName = categoryName;
	}
	public String getTaskAllocatorName() {
		return taskAllocatorName;
	}
	public void setTaskAllocatorName(String taskAllocatorName) {
		this.taskAllocatorName = taskAllocatorName;
	}
	public String getTaskReceiverName() {
		return taskReceiverName;
	}
	public void setTaskReceiverName(String taskReceiverName) {
		this.taskReceiverName = taskReceiverName;
	}
	public Integer getTaskStatus() {
		return taskStatus;
	}
	public void setTaskStatus(Integer taskStatus) {
		this.taskStatus = taskStatus;
	}
	public Integer getDeletedSign() {
		return deletedSign;
	}
	public void setDeletedSign(Integer deletedSign) {
		this.deletedSign = deletedSign;
	}
	public String getBuyerName() {
		return buyerName;
	}
	public void setBuyerName(String buyerName) {
		this.buyerName = buyerName;
	}
	public String getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	public String getContractNo() {
		return contractNo;
	}
	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}
	public String getUid() {
		return uid;
	}
	public void setUid(String uid) {
		this.uid = uid;
	}
	public String getSalesmanName() {
		return salesmanName;
	}
	public void setSalesmanName(String salesmanName) {
		this.salesmanName = salesmanName;
	}
	public String getOrderRemarks() {
		return orderRemarks;
	}
	public void setOrderRemarks(String orderRemarks) {
		this.orderRemarks = orderRemarks;
	}
	public Integer getPublishStatus() {
		return publishStatus;
	}
	public void setPublishStatus(Integer publishStatus) {
		this.publishStatus = publishStatus;
	}
	public String getDepartmentName() {
		return departmentName;
	}
	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}
	public String getSignTotalAmount() {
		return signTotalAmount;
	}
	public void setSignTotalAmount(String signTotalAmount) {
		this.signTotalAmount = signTotalAmount;
	}
}
